Database.HaskellDB

data Rel r

data Attr f a

data Expr a

data ExprAggr a

data Table r

data Query a

data OrderExpr

# Records

class HasField f r

type Record r

class Select f r a

(#)

(<<)

(<<-)

(!.)

# Relational operators

restrict

table

project

unique

union

intersect

divide

minus

copy

copyAll

subQuery

# Query expressions

(.==.)

(.<>.)

(.<.)

(.<=.)

(.>.)

(.>=.)

(.&&.)

(.||.)

(.*.)

(./.)

(.+.)

(.-.)

(.%.)

(.++.)

_not

like

_in

cat

_length

isNull

notNull

fromNull

fromVal

constant

constVal

constNull

constExpr

param

namedParam

class Args a

func

queryParams

type Param

cast

coerce

literal

toStr

count

_sum

_max

_min

avg

stddev

stddevP

variance

varianceP

asc

desc

order

top

_case

_default

# Database operations

data Database

query

recCat

insert

delete

update

insertQuery

tables

describe

transaction

# Debugging

showQuery

showQueryUnOpt

showSql

showSqlUnOpt